# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(RT.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name RT-Extension-UsernameFormat-Organization
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: RT Extension-UsernameFormat-Organization Extension
Group: Development/Perl
License: gplv2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TS/TSIBLEY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Adds "Name (Organization, City, Country)" to the "Username format" preference.

Only non-empty values are shown, so if your users only have an organization and
city you'd see something like "John Smith (Best Practical, Boston)" without any
country.  The same goes for Organization and City.

This extension makes City and Country a public field, meaning any user can
see any other user's value.  Default RT normally prevents non-administrators
from seeing City and Country.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/R*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

